rec {
  cryptpadVersion = "4.14.1";
  cryptpadCommit = "5979aafdee90aab232658374b11aca8331fd0421";

  pkgsSrc = fetchTarball {
    # Latest commit on https://github.com/NixOS/nixpkgs/tree/nixos-21.11
    # As of 2022-04-15
    url ="https://github.com/NixOS/nixpkgs/archive/2f06b87f64bc06229e05045853e0876666e1b023.tar.gz";
    sha256 = "sha256:1d7zg96xw4qsqh7c89pgha9wkq3rbi9as3k3d88jlxy2z0ns0cy2";
  };
  cryptpadSrc = builtins.fetchGit {
    url = "https://github.com/xwiki-labs/cryptpad";
    ref = "refs/tags/${cryptpadVersion}";
    rev = cryptpadCommit;
  };
  bower2nixSrc = builtins.fetchGit {
    url = "https://github.com/superboum/bower2nix";
    ref = "new";
    rev = "618ab3e206325c63fe4526ae842a1f6c792b0e27";
  };
  nodejs = "nodejs-slim-16_x";
}
