# Configuration file local to this node

{ config, pkgs, ... }:

{
  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.timeout = 20;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "concombre";

  deuxfleurs.network_interface = "eno1";
  deuxfleurs.lan_ip = "192.168.1.31";
  deuxfleurs.ipv6 = "2a01:e0a:c:a720::31";

  deuxfleurs.cluster_ip = "10.83.101.43";
  deuxfleurs.is_raft_server = true;
}
